Conversion

This event should be fired when the user completes a purchase of a set of items

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "uid": "d284fb3c-5c29-e316-ed71-8ce7852f8e50", //required, any unique string that tracks the user currently browsing
  "parentURL": "https://referral-url.com", //optional but recommended, the URL on which the user loaded the widget
  "API_KEY": "abcdefg", //required, the Pixlee ACCOUNT PRIVATE API KEY
  "cart_contents": [
    {
        'price': '13.00',
        'product_sku': 'SL-BENJ',
        'quantity': 1
    },
    {
        'price': '5.00',
        'product_sku': 'AD-1324S',
        'quantity': 2
    }], //required, a list of objects containing sku, price and quantity information
  "currency": "USD", //required, the currency of the cart
  'order_id': "234232", //optional but highly recommended, an id representing the internal order number
'cart_total_quantity': 3, //required, total items bought in the cart
'cart_total': '18.00' //required, sum of the prices of the cart
}
Query Params
string
required

Account Private API Key (can also be api_key)

string

Distinct user hash for the visitor. Must be at least 5 characters for the event to be processed.

uri

Page URL where the event occurred. (Recommended)

string

Browser fingerprint used to resolve the visitor device.

string

Client IP address.

Order identifier from the commerce platform. Accepts a string or number.

string

Purchased line items as a JSON-encoded array. Each item may contain price, product_sku, and quantity.

Total order value. Accepts a numeric string or number.

Total quantity of items purchased. Accepts an integer or numeric string.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json